server:
  port: 6001

spring:
  profiles:
    active: dev
  lazy:
    enable-auto-schema: true
    netty:
      server:
        mode: standalone # 模式：集群、单机版
        node-id: default #当前服务ID
        node-host: 127.0.0.1 # 当前节点host
        node-port: 7001 # 当前节点端口
        enable-flow-control: true # 允许流量控制，代理性能不太好
        tcp:
          port: 7001
        udp:
          port: 7001
    ddl-configure:
      ddl-auto: create

---
# 添加api 过滤
spring:
  lazy:
    authorization:
      un-check-api-path:
        - /acw-client/java/api/**
        - /v1/online/**
        - /v1/api/**
---
# 服务端与客户端集成
#spring:
#  lazy:
#    netty:
#      client:
#        inet-host: ${spring.lazy.netty.server.node-host}
#        inet-port: ${spring.lazy.netty.server.node-port}
#        client-id: standalone